Subject: Re: d80211: ieee80211_hw handlers in atomic context

From: Ivo van Doorn <[email-masked]>
Date: Thu, 5 Oct 2006 16:52:58 +0200

On Thursday 05 October 2006 13:29, Jiri Benc wrote:
> On Wed, 04 Oct 2006 18:51:40 +0200, Jan Kiszka wrote:
> > Ok, I'm not promising success and I'm going to duck immediately if
> > someone else feels like working on it, but I could try to patch in this
> > direction.
> 
> Your patches are welcomed!
> 
> > Now there just remains my precautious question if there are other
> > services in the ieee_80211_hw interface that may conflict with sleeping
> > USB drivers. What about specifying the possible contexts in
> > include/net/d80211.h?
> 
> Yes, that makes sense. Feel free to send a patch :-)

The patch is currently in testing in the rt2x00 tree.
So it will be shortly send to the netdev list. :)

Ivo